<%-- 
    Document   : exportarDisponibilidad
    Created on : 06/12/2014, 08:42:21 AM
    Author     : sistem16user
--%>

<%@page import="pe.siso.horario.Beans.PeriodoAcademico"%>
<%@page import="pe.siso.horario.Beans.DisponibilidadDocente"%>
<%@page import="pe.siso.horario.Services.DisponibilidadServices"%>
<%@page import="pe.siso.horario.Beans.Docente"%>
<%@page import="java.util.ArrayList"%>
<%@page import="pe.siso.horario.Services.DocenteServices"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%      
        HttpSession session_actual = request.getSession(true);
        PeriodoAcademico periodo=(PeriodoAcademico)session_actual.getAttribute("periodo");
        String codPeriodo = ""+periodo.getCodigoPeriodo();
            
        DocenteServices servicios = new DocenteServices(); 
        ArrayList<Docente> lista = null;
        DisponibilidadServices servicios2 = new DisponibilidadServices();
        String apellido = request.getParameter("apellido");
        ArrayList<DisponibilidadDocente> lista2=null;
        lista2=servicios2.docentesAsignados();
        lista=servicios.listaDocentes(apellido);
        DisponibilidadServices serviciosDD = new DisponibilidadServices(); 
        Docente docente = new Docente();
        Docente docente2 = new Docente();
        String codDoc = request.getParameter("codDoc");
        docente = servicios.NombreDocente(codDoc);
        String cadenaDia = serviciosDD.ConsultaDisponibilidad(codDoc,codPeriodo);
        String TM = "";
        String TT = "";
        String TN = "";
        docente2 = servicios.datosDocente(codDoc);
        String[] arrayGrupo = cadenaDia.split("-");
        for(int i=0; i<arrayGrupo.length;i++){
            String[] arrayTD = arrayGrupo[i].split("#");
            if(arrayTD[0].equals("1")){
                if(TM.equals("")){
                    TM+="0-"+arrayTD[1];
                }else{
                    TM+="-"+arrayTD[1];
                }

            }else if(arrayTD[0].equals("2")){
                if(TT.equals("")){
                    TT+="0-"+arrayTD[1];
                }else{
                    TT+="-"+arrayTD[1];
                }
            }else if(arrayTD[0].equals("3")){
                if(TN.equals("")){
                    TN+="0-"+arrayTD[1];
                }else{
                    TN+="-"+arrayTD[1];
                }
            }
        }
        String[] arrayDisponibilidad = {TM,TT,TN};
        
        String[] arrayHora = {"07:50 am. a 02:30 pm.","03:00 pm. a 07:00 pm.","07:00 pm. a 10:00 pm."};
        String[] arrayTurno = {"MAÑANA","TARDE","NOCHE"};
        

%>   
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>
    <body>
        <%      
                response.setContentType("application/vnd.ms-excel; ");
                response.setHeader("Content-Disposition","attachment; filename=DisponibilidadDocente.xls");
            
                String border="style='border:solid 0.5pt #000000;vertical-align:middle;'";
                String centrado="style='vertical-align:middle;' ";
                String borderColor="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#D7D7D7;'";
                String borderColorTitulo="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#006699; color:#FFFFFF;'";
                String estilo = "";
                String ruta=this.getServletContext().getRealPath("/");
                response.setContentType("text/html");
                ruta=ruta + "imagenes/icons/check_box.png";
                System.out.println(ruta);
        %>
        <table  cellpadding= '0' cellspacing= '0'>
            <tr>
                <td colspan='2' <%=centrado%> ><b>DNI:</b>
                    <label>
                        <%=docente.getDni()%>
                    </label>
                </td>
                <td colspan='3' <%=centrado%>  ><b>DOCENTE:</b>
                    <label>
                        <%=docente.getApe_pro()%>, <%=docente.getNom_pro()%>
                    </label>
                </td>
                <td colspan='3' <%=centrado%> ><b>Correo:</b>
                    <label>
                        <% 
                         if(docente2.getCorreo() == null){
                        %>
                        <%
                            }else{
                        %>
                        <%=docente2.getCorreo()%>
                        <%    }
                        
                        %>
                    </label>
                </td>
            </tr>
            <tr>
                <td colspan='4' <%=centrado%> ><b>Tel. Fijo:</b>
                    <label>
                        <% 
                            if(docente2.getTelefono() == null){
                        %>
                        <%
                            }else{
                        %>
                        <%=docente2.getTelefono()%>
                        <%    }
                        
                        %>
                    </label>
                </td>
                <td colspan='4' <%=centrado%>><b>Celular:</b>
                    <label>
                    <% 
                        if(docente2.getCell() == null){
                    %>
                    <%
                        }else{
                    %>
                    <%=docente2.getCell()%>
                    <%    }
                        
                    %>
                    </label>
                </td>
            </tr>
            <tr>
                <td colspan='2' <%=centrado%>><b>Departamento:</b>
                    <label>
                    <% 
                        if(docente2.getNombreDep() == null){
                    %>
                    <%
                        }else{
                    %>
                    <%=docente2.getNombreDep()%>
                    <%    }
                        
                    %>
                    </label>
                </td>
                <td colspan='3' <%=centrado%> ><b>Provincia:</b>
                    <label>
                    <% 
                        if(docente2.getNombrePro() == null){
                    %>
                    <%
                        }else{
                    %>
                    <%=docente2.getNombrePro()%>
                    <%    }
                        
                    %>
                    </label>
                </td>
                <td colspan='3' <%=centrado%>><b>Distrito:</b>
                    <label>
                    <% 
                        if(docente2.getNombreDDis() == null){
                    %>
                    <%
                        }else{
                    %>
                    <%=docente2.getNombreDDis()%>
                    <%    }
                        
                    %>
                    </label>
                </td>
            </tr>
            <tr>
                <td colspan='8' height='15'>
                </td>
            </tr>
            <tr>
                <td <%=borderColorTitulo%> align='center' width='150'>HORAS</td>
                <td <%=borderColorTitulo%> align='center' width='100'>TURNO</td>
                <td <%=borderColorTitulo%> align='center' width='100'>LUNES</td>
                <td <%=borderColorTitulo%> align='center' width='100'>MARTES</td>
                <td <%=borderColorTitulo%> align='center' width='100'>MIÉRCOLES</td>
                <td <%=borderColorTitulo%> align='center' width='100'>JUEVES</td>
                <td <%=borderColorTitulo%> align='center' width='100'>VIERNES</td>
                <td <%=borderColorTitulo%> align='center' width='100'>SÁBADO</td>

            </tr>
            <%
            int dato = 0;
            int turno = 0;
            int posicion = 1;
            int dia = 0;
            for(int i = 0; i<3;i++){
                turno = i+1;
            %>
            <tr> 
                <td <%=border%> height='30' align='center'><%=arrayHora[i]%></td>
                <td <%=border%> height='30' align='center'><%=arrayTurno[i]%></td>
                <%
                    
                for(int j=1; j<=6;j++){
                    if(arrayDisponibilidad[i]==""){%>
                <td  align='center' <%=border%>> <font face='Calibri' style='font-size:11px'> <b> NO </b></font></td>    
                    <%
                    }
                        else{
                            String[] arrayDias = arrayDisponibilidad[i].split("-");
                            for(int d=0;d<arrayDias.length;d++){
                                dia = Integer.parseInt(arrayDias[d]);
                                if(j==dia){
                                    dato = dato+1; 
                                }else{
                                    dato = dato+0; 
                                }
                            }

                            if(dato==1){%>
                <td align='center' <%=borderColor%>><font  face='Calibri' style='font-size:11px' > <b>  SI </b> </font></td>
                    <%
                    }else{
                    %>
                <td align='center' <%=border%> > <font  face='Calibri' style='font-size:11px'>  <b> NO </b></font>  </td>
                    <% }
                    dato=0;
                }
                        
                       
            posicion++;
            }    
           }
                    %>
            </tr>
        </table>


    </body>
</html>
